﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.Http;
using System.Web.Http.SelfHost; 

namespace AgaveRobotics.Web.Demos
{
    class MessageService
    {
        static void Main(string[] args)
        {
            var config = new HttpSelfHostConfiguration("http://localhost:8080");

            config.Routes.MapHttpRoute("Default API", "api/{controller}/{id}", new { id = RouteParameter.Optional });

            Console.WriteLine("Spin Message Service started on {0}", config.BaseAddress);
            using (HttpSelfHostServer server = new HttpSelfHostServer(config))
            {
                server.OpenAsync().Wait();
                Console.WriteLine("Press Enter to quit.");
                Console.ReadLine();
            }
        }
    }
}
